## ros-one-pcl-ros 1.7.5-6jammy.20251023.0915

=== debian/changelog ===
ros-one-pcl-ros (1.7.5-6jammy.20251023.0915) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Thu, 23 Oct 2025 09:15:00 +0000

ros-one-pcl-ros (1.7.5-0jammy) jammy; urgency=high

  * Adding separate leaf sizes for each axis in the VoxelGrid filter (#393 <https://github.com/ros-perception/perception_pcl/issues/393>)
  * Add logic for missing pcl/point_traits.h in newer PCL versions (#381 <https://github.com/ros-perception/perception_pcl/issues/381>)
    point_traits.h is no longer available, starting with PCL 1.13.0
    Since PCL 1.11.0, type_traits.h should be used instead
  * Add boost include, missing in upcoming PCL versions (#373 <https://github.com/ros-perception/perception_pcl/issues/373>)
    Was removed in pcl/conversions.h here: https://github.com/PointCloudLibrary/pcl/commit/292593abd3b69af315c7fe3379363bdce7800d5a
  * Switch to hpp headers of pluginlib (#370 <https://github.com/ros-perception/perception_pcl/issues/370>)
    Co-authored-by: Jochen Sprickerhof <mailto:jspricke@debian.org>
  * Contributors: Jochen Sprickerhof, Markus Vieth, Tom Moore

 -- Paul Bovbel <paul@bovbel.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-one-pcl-ros (1.7.0-0jammy) jammy; urgency=high

  * Added option for fixed filename (via local parameter) (#102 <https://github.com/ros-perception/perception_pcl/issues/102>)
    (cherry picked from commit bd38533523fa5c00f320e6505a2c533e90f9d97e)
  * rewrote pcd_to_pointcloud to publish using a latched topic (#213 <https://github.com/ros-perception/perception_pcl/issues/213>)
    * pointcloud is published as a latched topic now
    * added functionality: ability to set config via parameters
  * Fix #150 <https://github.com/ros-perception/perception_pcl/issues/150>: Allow bag_to_pcd to properly respond to topic argument (#215 <https://github.com/ros-perception/perception_pcl/issues/215>)
    * Properly respond to topic argument fixing #150 <https://github.com/ros-perception/perception_pcl/issues/150>
    Previously providing a topic name in argv[2], as indicated in the usage string,
    modified the printouts indicating to the user that they were going to be
    exporting the correct topic, but the rosbag::View::Query used still grabbed the
    first sensor_msgs/PointCloud2 topic which was not necessarily what they had
    specified.
    * Added more useful printouts and type-checking on input topic
  * Catch tf::TransformException in transformPointCloud (#223 <https://github.com/ros-perception/perception_pcl/issues/223>)
    * Catch TransformException in transformPointCloud
    This allows to catch all exceptions, not only tf::LookupException and
    tf::ExtrapolationException.
    Note that most of the code using transformPointCloud already
    (implicitly) assumes this function doesn't throw any exception, and they
    check the return value, which is false when an exception happened (or
    something went wrong).
    * Check for transformPointCloud return value
    In pcl_ros/src/pcl_ros/io/concatenate_data.cpp, which seems to be the
    only place where that check was missed.
  * Split off pcl_ros_filter into separate library (#239 <https://github.com/ros-perception/perception_pcl/issues/239>)
  * [Windows][melodic-devel] Fix Boost linkage issue and binary install location. (#238 <https://github.com/ros-perception/perception_pcl/issues/238>)
    * fix Windows build break. (#6 <https://github.com/ros-perception/perception_pcl/issues/6>)
    * Fix install path. (#7 <https://github.com/ros-perception/perception_pcl/issues/7>)
  * Wait for transform in transformPointCloud(). (#214 <https://github.com/ros-perception/perception_pcl/issues/214>)
  * Added tf2 versions of functions in transforms.h/hpp. (#231 <https://github.com/ros-perception/perception_pcl/issues/231>)
  * Switch to industrial_ci (#233 <https://github.com/ros-perception/perception_pcl/issues/233>)
    * Use industrial_ci
    * Run for all melodic target platforms
    * Artful EOL; verbose build and tests
    * Use travis_wait
    * Remove travis_wait
    * Download to devel space
    * Mark SYSTEM includes to avoid spurious warnings
    * Don't double-build PRs
  * use <chrono> and <thread> on Windows (#221 <https://github.com/ros-perception/perception_pcl/issues/221>)
    * Changing from usleep to c++14 style sleep_for for Windows support
  * Contributors: Enrique Fernandez Perdomo, James Xu, Jarvis Schultz, Martin Pecka, Paul Bovbel, Sean Yen, Stefan Kohlbrecher, Wolfgang Merkt, moooeeeep

 -- Paul Bovbel <paul@bovbel.com>  Wed, 03 Jul 2019 00:00:00 -0000

ros-one-pcl-ros (1.6.2-0jammy) jammy; urgency=high

  * Fix exported includes in Ubuntu Artful
  * Increase limits on CropBox filter parameters
  * Contributors: James Ward, Jiri Horner

 -- Paul Bovbel <paul@bovbel.com>  Sun, 20 May 2018 00:00:00 -0000

ros-one-pcl-ros (1.6.1-0jammy) jammy; urgency=high

  * Add 1.6.0 section to CHANGELOG.rst
  * Fix the use of Eigen3 in cmake
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 May 2018 00:00:00 -0000

ros-one-pcl-ros (1.6.0-0jammy) jammy; urgency=high

  * Fix build and update maintainers
  * Add message_filters to find_package
  * Remove unnecessary dependency on genmsg
  * Contributors: Paul Bovbel, Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Apr 2018 00:00:00 -0000

ros-one-pcl-ros (1.5.4-0jammy) jammy; urgency=high

  * update to use non deprecated pluginlib macro
  * Fix config path of sample_voxel_grid.launch
  * remove hack now that upstream pcl has been rebuilt
  * Looser hzerror in test for extract_clusters to make it pass on Travis
  * Add sample & test for surface/convex_hull
  * Add sample & test for segmentation/extract_clusters.cpp
  * Add sample & test for io/concatenate_data.cpp
  * Add sample & test for features/normal_3d.cpp
  * Organize samples of pcl_ros/features
  * Add test arg to avoid duplicated testing
  * LazyNodelet for features/*


## ros-one-pcl-ros 1.7.5-6jammy.20251207.2201

=== debian/changelog ===
ros-one-pcl-ros (1.7.5-6jammy.20251207.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sun, 07 Dec 2025 22:01:26 +0000

## ros-one-pcl-ros 1.7.5-6jammy.20260221.0204

=== debian/changelog ===
ros-one-pcl-ros (1.7.5-6jammy.20260221.0204) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sat, 21 Feb 2026 02:04:46 +0000

## ros-one-pcl-ros 1.7.5-6noble.20251023.0925

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pcl_ros)

## Find catkin packages
find_package(catkin REQUIRED COMPONENTS
  dynamic_reconfigure
  geometry_msgs
  message_filters
  nodelet
  nodelet_topic_tools
  pcl_conversions
  pcl_msgs
  pluginlib
  rosbag
  rosconsole
  roscpp
  roslib
  sensor_msgs
  std_msgs
  tf
  tf2
  tf2_eigen
  tf2_ros
)

## Find system dependencies
find_package(PCL REQUIRED COMPONENTS common features filters io segmentation surface)
find_package(Boost REQUIRED COMPONENTS system filesystem thread)
find_package(Eigen3 REQUIRED)

if(NOT "${PCL_LIBRARIES}" STREQUAL "")
  # For debian: https://github.com/ros-perception/perception_pcl/issues/139
  list(REMOVE_ITEM PCL_LIBRARIES
    "vtkGUISupportQt"
    "vtkGUISupportQtOpenGL"
    "vtkGUISupportQtSQL"
    "vtkGUISupportQtWebkit"
    "vtkViewsQt"
    "vtkRenderingQt")
endif()

# There is a bug in the Ubuntu Artful (17.10) version of the VTK package,
# where it includes /usr/include/*-linux-gnu/freetype2 in the include
# directories (which doesn't exist).  This filters down to the PCL_INCLUDE_DIRS,
# and causes downstream projects trying to use these libraries to fail to
# configure properly.  Here we remove those bogus entries so that downstream
# consumers of this package succeed.
if(NOT "${PCL_INCLUDE_DIRS}" STREQUAL "")
  foreach(item ${PCL_INCLUDE_DIRS})
    string(REGEX MATCH "/usr/include/.*-linux-gnu/freetype2" item ${item})
    if(item)
      list(REMOVE_ITEM PCL_INCLUDE_DIRS ${item})
    endif()
  endforeach()
endif()

## Add include directories
include_directories(include)

include_directories(
  SYSTEM
    ${Boost_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
    ${PCL_INCLUDE_DIRS}
)

## Generate dynamic_reconfigure
generate_dynamic_reconfigure_options(
  cfg/EuclideanClusterExtraction.cfg
  cfg/ExtractIndices.cfg
  cfg/ExtractPolygonalPrismData.cfg
  cfg/Feature.cfg
  cfg/Filter.cfg
  cfg/MLS.cfg
  cfg/SACSegmentation.cfg
  cfg/SACSegmentationFromNormals.cfg
  cfg/SegmentDifferences.cfg
  cfg/StatisticalOutlierRemoval.cfg
  cfg/RadiusOutlierRemoval.cfg
  cfg/VoxelGrid.cfg
  cfg/CropBox.cfg
)

## Declare the catkin package
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
    pcl_ros_filter
    pcl_ros_tf
  CATKIN_DEPENDS
    dynamic_reconfigure
    geometry_msgs
    message_filters
    nodelet
    nodelet_topic_tools
    pcl_conversions
    pcl_msgs
    rosbag
    roscpp
    sensor_msgs
    std_msgs
    tf
    tf2
    tf2_eigen
    tf2_ros
  DEPENDS
    Boost
    EIGEN3
    PCL
)

## Declare the pcl_ros_tf library
add_library(pcl_ros_tf src/transforms.cpp)
target_link_libraries(pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_tf ${catkin_EXPORTED_TARGETS})

## Nodelets

## Declare the pcl_ros_io library
add_library(pcl_ros_io
  src/pcl_ros/io/bag_io.cpp
  src/pcl_ros/io/concatenate_data.cpp
  src/pcl_ros/io/concatenate_fields.cpp
  src/pcl_ros/io/io.cpp
  src/pcl_ros/io/pcd_io.cpp
)
target_link_libraries(pcl_ros_io pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
class_loader_hide_library_symbols(pcl_ros_io)

## Declare the pcl_ros_features library
add_library(pcl_ros_features
  src/pcl_ros/features/feature.cpp
  # Compilation is much faster if we include all the following CPP files in feature.cpp
  src/pcl_ros/features/boundary.cpp
  src/pcl_ros/features/fpfh.cpp
  src/pcl_ros/features/fpfh_omp.cpp
  src/pcl_ros/features/shot.cpp
  src/pcl_ros/features/shot_omp.cpp
  src/pcl_ros/features/moment_invariants.cpp
  src/pcl_ros/features/normal_3d.cpp
  src/pcl_ros/features/normal_3d_omp.cpp
  src/pcl_ros/features/pfh.cpp
  src/pcl_ros/features/principal_curvatures.cpp
  src/pcl_ros/features/vfh.cpp
)
target_link_libraries (pcl_ros_features ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_features ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_features)


## Declare library for base filter plugin
add_library(pcl_ros_filter
  src/pcl_ros/filters/filter.cpp
)
target_link_libraries(pcl_ros_filter pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_filter ${PROJECT_NAME}_gencfg)

## Declare the pcl_ros_filters library
add_library(pcl_ros_filters
  src/pcl_ros/filters/extract_indices.cpp
  src/pcl_ros/filters/passthrough.cpp
  src/pcl_ros/filters/project_inliers.cpp
  src/pcl_ros/filters/radius_outlier_removal.cpp
  src/pcl_ros/filters/statistical_outlier_removal.cpp
  src/pcl_ros/filters/voxel_grid.cpp
  src/pcl_ros/filters/crop_box.cpp
)
target_link_libraries(pcl_ros_filters pcl_ros_filter pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_filters ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_filters)

## Declare the pcl_ros_segmentation library
add_library (pcl_ros_segmentation
  src/pcl_ros/segmentation/extract_clusters.cpp
  src/pcl_ros/segmentation/extract_polygonal_prism_data.cpp
  src/pcl_ros/segmentation/sac_segmentation.cpp
  src/pcl_ros/segmentation/segment_differences.cpp
  src/pcl_ros/segmentation/segmentation.cpp
)
target_link_libraries(pcl_ros_segmentation pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_segmentation ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_segmentation)

## Declare the pcl_ros_surface library
add_library (pcl_ros_surface
  src/pcl_ros/surface/surface.cpp
  # Compilation is much faster if we include all the following CPP files in surface.cpp
  src/pcl_ros/surface/convex_hull.cpp
  src/pcl_ros/surface/moving_least_squares.cpp
)
target_link_libraries(pcl_ros_surface ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
add_dependencies(pcl_ros_surface ${PROJECT_NAME}_gencfg)
class_loader_hide_library_symbols(pcl_ros_surface)

## Tools

add_executable(pcd_to_pointcloud tools/pcd_to_pointcloud.cpp)
target_link_libraries(pcd_to_pointcloud ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_executable(pointcloud_to_pcd tools/pointcloud_to_pcd.cpp)
target_link_libraries(pointcloud_to_pcd ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_executable(bag_to_pcd tools/bag_to_pcd.cpp)
target_link_libraries(bag_to_pcd pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_executable(convert_pcd_to_image tools/convert_pcd_to_image.cpp)
target_link_libraries(convert_pcd_to_image ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

add_executable(convert_pointcloud_to_image tools/convert_pointcloud_to_image.cpp)
target_link_libraries(convert_pointcloud_to_image ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})

## Downloads

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_download(table_scene_lms400.pcd http://download.ros.org/data/pcl/table_scene_lms400.pcd
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/samples/data
    MD5 546b5b4822fb1de21b0cf83d41ad6683
  )
  add_custom_target(download ALL DEPENDS download_extra_data)

  find_package(rostest REQUIRED)
  add_rostest_gtest(test_tf_message_filter_pcl tests/test_tf_message_filter_pcl.launch src/test/test_tf_message_filter_pcl.cpp)
  target_link_libraries(test_tf_message_filter_pcl ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  add_rostest(samples/pcl_ros/features/sample_normal_3d.launch ARGS gui:=false)
  add_rostest(samples/pcl_ros/filters/sample_statistical_outlier_removal.launch ARGS gui:=false)
  add_rostest(samples/pcl_ros/filters/sample_voxel_grid.launch ARGS gui:=false)
  add_rostest(samples/pcl_ros/segmentation/sample_extract_clusters.launch ARGS gui:=false)
  add_rostest(samples/pcl_ros/surface/sample_convex_hull.launch ARGS gui:=false)

endif(CATKIN_ENABLE_TESTING)


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(
  TARGETS
    pcl_ros_tf
    pcl_ros_io
    pcl_ros_features
    pcl_ros_filter
    pcl_ros_filters
    pcl_ros_surface
    pcl_ros_segmentation
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(
  TARGETS
    pcd_to_pointcloud
    pointcloud_to_pcd
    bag_to_pcd
    convert_pcd_to_image
    convert_pointcloud_to_image
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY plugins samples
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-pcl-ros (1.7.5-6noble.20251023.0925) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Thu, 23 Oct 2025 09:25:27 +0000

ros-one-pcl-ros (1.7.5-0noble) noble; urgency=high

  * Adding separate leaf sizes for each axis in the VoxelGrid filter (#393 <https://github.com/ros-perception/perception_pcl/issues/393>)
  * Add logic for missing pcl/point_traits.h in newer PCL versions (#381 <https://github.com/ros-perception/perception_pcl/issues/381>)
    point_traits.h is no longer available, starting with PCL 1.13.0
    Since PCL 1.11.0, type_traits.h should be used instead
  * Add boost include, missing in upcoming PCL versions (#373 <https://github.com/ros-perception/perception_pcl/issues/373>)
    Was removed in pcl/conversions.h here: https://github.com/PointCloudLibrary/pcl/commit/292593abd3b69af315c7fe3379363bdce7800d5a
  * Switch to hpp headers of pluginlib (#370 <https://github.com/ros-perception/perception_pcl/issues/370>)
    Co-authored-by: Jochen Sprickerhof <mailto:jspricke@debian.org>
  * Contributors: Jochen Sprickerhof, Markus Vieth, Tom Moore

 -- Paul Bovbel <paul@bovbel.com>  Thu, 19 Jan 2023 00:00:00 -0000

ros-one-pcl-ros (1.7.0-0noble) noble; urgency=high

  * Added option for fixed filename (via local parameter) (#102 <https://github.com/ros-perception/perception_pcl/issues/102>)
    (cherry picked from commit bd38533523fa5c00f320e6505a2c533e90f9d97e)
  * rewrote pcd_to_pointcloud to publish using a latched topic (#213 <https://github.com/ros-perception/perception_pcl/issues/213>)
    * pointcloud is published as a latched topic now
    * added functionality: ability to set config via parameters
  * Fix #150 <https://github.com/ros-perception/perception_pcl/issues/150>: Allow bag_to_pcd to properly respond to topic argument (#215 <https://github.com/ros-perception/perception_pcl/issues/215>)
    * Properly respond to topic argument fixing #150 <https://github.com/ros-perception/perception_pcl/issues/150>
    Previously providing a topic name in argv[2], as indicated in the usage string,
    modified the printouts indicating to the user that they were going to be
    exporting the correct topic, but the rosbag::View::Query used still grabbed the
    first sensor_msgs/PointCloud2 topic which was not necessarily what they had
    specified.
    * Added more useful printouts and type-checking on input topic
  * Catch tf::TransformException in transformPointCloud (#223 <https://github.com/ros-perception/perception_pcl/issues/223>)
    * Catch TransformException in transformPointCloud
    This allows to catch all exceptions, not only tf::LookupException and
    tf::ExtrapolationException.
    Note that most of the code using transformPointCloud already
    (implicitly) assumes this function doesn't throw any exception, and they
    check the return value, which is false when an exception happened (or
    something went wrong).
    * Check for transformPointCloud return value
    In pcl_ros/src/pcl_ros/io/concatenate_data.cpp, which seems to be the
    only place where that check was missed.
  * Split off pcl_ros_filter into separate library (#239 <https://github.com/ros-perception/perception_pcl/issues/239>)
  * [Windows][melodic-devel] Fix Boost linkage issue and binary install location. (#238 <https://github.com/ros-perception/perception_pcl/issues/238>)
    * fix Windows build break. (#6 <https://github.com/ros-perception/perception_pcl/issues/6>)
    * Fix install path. (#7 <https://github.com/ros-perception/perception_pcl/issues/7>)
  * Wait for transform in transformPointCloud(). (#214 <https://github.com/ros-perception/perception_pcl/issues/214>)
  * Added tf2 versions of functions in transforms.h/hpp. (#231 <https://github.com/ros-perception/perception_pcl/issues/231>)
  * Switch to industrial_ci (#233 <https://github.com/ros-perception/perception_pcl/issues/233>)
    * Use industrial_ci
    * Run for all melodic target platforms
    * Artful EOL; verbose build and tests
    * Use travis_wait
    * Remove travis_wait
    * Download to devel space
    * Mark SYSTEM includes to avoid spurious warnings
    * Don't double-build PRs
  * use <chrono> and <thread> on Windows (#221 <https://github.com/ros-perception/perception_pcl/issues/221>)
    * Changing from usleep to c++14 style sleep_for for Windows support
  * Contributors: Enrique Fernandez Perdomo, James Xu, Jarvis Schultz, Martin Pecka, Paul Bovbel, Sean Yen, Stefan Kohlbrecher, Wolfgang Merkt, moooeeeep

 -- Paul Bovbel <paul@bovbel.com>  Wed, 03 Jul 2019 00:00:00 -0000

ros-one-pcl-ros (1.6.2-0noble) noble; urgency=high

  * Fix exported includes in Ubuntu Artful
  * Increase limits on CropBox filter parameters
  * Contributors: James Ward, Jiri Horner

 -- Paul Bovbel <paul@bovbel.com>  Sun, 20 May 2018 00:00:00 -0000

ros-one-pcl-ros (1.6.1-0noble) noble; urgency=high

  * Add 1.6.0 section to CHANGELOG.rst
  * Fix the use of Eigen3 in cmake
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 May 2018 00:00:00 -0000

ros-one-pcl-ros (1.6.0-0noble) noble; urgency=high

  * Fix build and update maintainers
  * Add message_filters to find_package
  * Remove unnecessary dependency on genmsg
  * Contributors: Paul Bovbel, Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Apr 2018 00:00:00 -0000

ros-one-pcl-ros (1.5.4-0noble) noble; urgency=high

  * update to use non deprecated pluginlib macro
  * Fix config path of sample_voxel_grid.launch
  * remove hack now that upstream pcl has been rebuilt
  * Looser hzerror in test for extract_clusters to make it pass on Travis
  * Add sample & test for surface/convex_hull
  * Add sample & test for segmentation/extract_clusters.cpp
  * Add sample & test for io/concatenate_data.cpp
  * Add sample & test for features/normal_3d.cpp
  * Organize samples of pcl_ros/features
  * Add test arg to avoid duplicated testing
  * LazyNodelet for features/*


=== debian/control ===
Source: ros-one-pcl-ros
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-dev, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nodelet, ros-one-nodelet-topic-tools, ros-one-pcl-conversions, ros-one-pcl-msgs, ros-one-pluginlib, ros-one-rosbag, ros-one-rosconsole, ros-one-roscpp, ros-one-roslib, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-ros
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-one-pcl-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-dev, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nodelet, ros-one-nodelet-topic-tools, ros-one-pcl-conversions, ros-one-pcl-msgs, ros-one-pluginlib, ros-one-rosbag, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-ros
Description: PCL (Point Cloud Library) ROS interface stack.
 PCL-ROS is the preferred bridge for 3D applications involving n-D Point Clouds and 3D geometry processing in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pcl-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pcl-ros 1.7.5-6noble.20251208.0859

=== debian/changelog ===
ros-one-pcl-ros (1.7.5-6noble.20251208.0859) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Dec 2025 08:59:14 +0000

## ros-one-pcl-ros 1.7.5-6noble.20260221.2136

=== debian/changelog ===
ros-one-pcl-ros (1.7.5-6noble.20260221.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Sat, 21 Feb 2026 21:36:06 +0000
